TCPIOSocket Class Reference
Inheritance diagram for TCPIOSocket:
[legend]
Collaboration diagram for TCPIOSocket:
[legend]

## Public Member Functions

int | read (void *d, int n)
int | write (const void *d, int n)
int | read_int (int *d, int n)
int | write_int (const int *d, int n)
int | read_string (std::string &)
int | write_string (const std::string &)
int | read_int (int &)
int | write_int (int)
int | read_uint32 (u_int32_t &)
int | write_uint32 (u_int32_t)
Public Member Functions inherited from TCPSocket
void | create ()
void | bind (u_int16_t port_begin, u_int16_t port_fence)
int | port ()
u_int32_t | addr ()
bool | initialized ()
bool | bound ()
virtual void | close ()

## Additional Inherited Members

Protected Attributes inherited from TCPSocket
int | socket_
int | port_
bool | initialized_
bool | bound_

The documentation for this class was generated from the following file:

- socket.h